<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" 
	  xmlns:xlink="http://www.w3.org/1999/xlink" 
	  xmlns:svg="http://www.w3.org/2000/svg" 
	  xmlns:mml="http://www.w3.org/1998/Math/MathML" 
	  xmlns:db="http://docbook.org/ns/docbook" 
	  version="5.0-subset Scilab" 
	  xml:lang="en" 
	  xml:id="gridsamp">
  <info>
    <pubdate>5-Dec-2007</pubdate>
  </info>
  <refnamediv>
    <refname>gridsamp</refname>
    <refpurpose> n-dimensional grid over given range </refpurpose>
  </refnamediv>
  
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>S = gridsamp(_range,q)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>_range</term>
        <listitem>
          <para>2*n matrix with lower and upper limits</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>q</term>
        <listitem>
          <para>n-vector, q(j) is the number of points in the j'th direction. If q is a scalar, then all q(j) = q</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>S</term>
        <listitem>
          <para>m*n array with points, m = prod(q)</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  
  <refsection>
    <title>Description</title>
    <para>n-dimensional grid over given range</para>
  </refsection>
  
  <refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// 2D
_range = [-1 -2 ; 1 2]
q = [5 9]
S = gridsamp(_range,q)
scf()
plot(S(:,1),S(:,2),'o')
xtitle("Grid design 2D","X1","X2")

// 3D
_range = [-1 -2 -1 ; 1 2 1]
q = [5 9 5]
S = gridsamp(_range,q)
scf()
param3d(S(:,1),S(:,2),S(:,3))
e=gce()
e.line_mode = "off"
e.mark_style = 9
e.mark_size = 0
e.mark_foreground = color('blue')
xtitle("Grid design 3D","X1","X2","X3")


   ]]></programlisting>
</refsection>
  
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member> 
        <link linkend="scidoe_lhsdesign">scidoe_lhsdesign</link> 
      </member>
      <member> 
        <link linkend="dacefit">dacefit</link> 
      </member>
    </simplelist>
  </refsection>
  
  <refsection>
    <title>Authors</title>
    <variablelist>
      <varlistentry>
	<term>collette</term>
	<listitem>
	  <para>ycollet@freesurf.fr</para>
	</listitem>
      </varlistentry>
    </variablelist>
  </refsection>
</refentry>
